<div class="modal" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1>{{'disciplineAdd.addDiscipline' | message}}</h1>
            </div>
            <div class="modal-body">
                <form id="add-discipline-form" ng-submit="vm.save()">
                    <label for="disciplineName">{{'disciplineAdd.disciplineName' | message}}</label>
                    <input id="disciplineName" type="text" ng-model="vm.discipline.name"  required />
                    <label for="disciplineCode">{{'disciplineAdd.disciplineCode' | message}}</label>
                    <input id="disciplineCode" type="text" ng-model="vm.discipline.code"  required />
                    <label for="disciplineDisplayOrder">{{'disciplineAdd.disciplineDisplayOrder' | message}}</label>
                    <input id="disciplineDisplayOrder" type="text" ng-model="vm.discipline.displayOrder"  required />
                    <label for="disciplineEnabled" class="checkbox">
                        <input id="disciplineEnabled" type="checkbox" ng-model="vm.discipline.enabled" />
                        {{'disciplineView.enabled' | message}}
                    </label>
                </form>
            </div>
            <div class="modal-footer">
                <button id="cancel" ng-click="vm.goToPreviousState()">{{'disciplineAdd.cancel' | message}}</button>
                <button class="primary" form="add-discipline-form">{{'disciplineAdd.save' | message}}</button>
            </div>
        </div>
    </div>
</div>